Debian Bug report logs - #534324
MODULES=most does not include unusual USB storage drivers

version graph

Package: initramfs-tools; Maintainer for initramfs-tools is Debian kernel team <debian-kernel@lists.debian.org>; Source for initramfs-tools is src:initramfs-tools.

Reported by: hugo vanwoerkom <huugske@gmail.com>

Date: Tue, 23 Jun 2009 15:36:02 UTC

Severity: important

Tags: patch

Merged with 543568

Found in versions initramfs-tools/0.92o, initramfs-tools/0.93.4

Fixed in version initramfs-tools/0.94

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534324; Package linux-image-2.6.30-1-686. (Tue, 23 Jun 2009 15:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to hugo vanwoerkom <huugske@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 23 Jun 2009 15:36:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: hugo vanwoerkom <huugske@gmail.com>
To: submit@bugs.debian.org
Subject: linux-image-2.6.30-1-686: USB disk fails to show up at initramfs
Date: Tue, 23 Jun 2009 10:33:40 -0500
[Message part 1 (text/plain, inline)]
Package: linux-image-2.6.30-1-686
Version: 2.6.30-1
Severity: normal


I have 2 USB HDD's in exterior enclosures. With linux-image-2.6.30-1-686
only Direct-Access WDC WD80 0JD-60LUA0 shows up at the initramfs stage.
Direct-Access ST380211 0A never does, causing the boot to fail, because
partitions from that drive are in /etc/fstab. This never happened with
previous kernels.

-- Package-specific info:
** Version:
Linux version 2.6.30-1-686 (Debian 2.6.30-1) (waldi@debian.org) (gcc version
4.3.3 (Debian 4.3.3-11) ) #1 SMP S$

** Command line:
root=LABEL=ST380011A.05 noapic apm=on vga=791 edd=off ddcon-1 quiet

** Not tainted

** Kernel log:
[   19.793168] ACPI: Power Button [PWRB]
[   19.824898] processor ACPI_CPU:00: registered as cooling_device1
[   20.085525] parport_pc 00:0a: reported by Plug and Play ACPI
[   20.085574] parport0: PC-style at 0x378, irq 7 [PCSPP,TRISTATE]
[   21.195771] ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 3
[   21.195776] PCI: setting IRQ 3 as level-triggered
[   21.195784] CA0106 0000:00:0a.0: PCI INT A -> Link[LNKD] -> GSI 3 (level,
low) -> IRQ 3
[   21.195813] snd-ca0106: Model 1006 Rev 00000000 Serial 10061102
[   21.195784] CA0106 0000:00:0a.0: PCI INT A -> Link[LNKD] -> GSI 3 (level,
low) -> IRQ 3
[   21.195813] snd-ca0106: Model 1006 Rev 00000000 Serial 10061102
[   21.449413] input: A4Tech USB Optical Mouse as
/devices/pci0000:00/0000:00:10.1/usb3/3-1/3-1:1.0/input/input4
[   21.449498] a4tech 0003:09DA:0006.0002: input,hidraw1: USB HID v1.10
Mouse [A4Tech USB Optical Mouse] on usb$
[   21.462374] input: A4Tech USB Optical Mouse as
/devices/pci0000:00/0000:00:10.1/usb3/3-2/3-2:1.0/input/input5
[   21.462456] a4tech 0003:09DA:0006.0003: input,hidraw2: USB HID v1.10
Mouse [A4Tech USB Optical Mouse] on usb$
[   21.581765] scsi3 : SCSI emulation for USB Mass Storage devices
[   21.581868] usbcore: registered new interface driver ums-cypress
[   21.588011] usb-storage: device found at 6
[   21.588014] usb-storage: waiting for device to settle before scanning
[   21.806790] input: PC Speaker as /devices/platform/pcspkr/input/input6
[   22.061360] VIA 82xx Audio 0000:00:11.5: PCI INT C -> Link[LNKC] -> GSI
11 (level, low) -> IRQ 11
[   22.061367] VIA 82xx Audio 0000:00:11.5: VIA VLink IRQ fixup, from 5 to
11
[   22.061518] VIA 82xx Audio 0000:00:11.5: setting latency timer to 64
[   24.829282] Adding 976712k swap on /dev/hda9.  Priority:-1 extents:1
across:976712k
[   25.840480] sd 2:0:0:0: Attached scsi generic sg0 type 0
[   26.077490] w83627hf: Found W83687THF chip at 0x290
[   26.138453] loop: module loaded
[   26.388859] ip_tables: (C) 2000-2006 Netfilter Core Team
[   26.588187] usb-storage: device scan complete
[   26.590794] scsi 3:0:0:0: Direct-Access     ST380211 0A
0000 PQ: 0 ANSI: 0
[   26.591242] sd 3:0:0:0: Attached scsi generic sg1 type 0
[   26.595285] sd 3:0:0:0: [sdb] 156301488 512-byte hardware sectors: (80.0
GB/74.5 GiB)
[   26.596173] sd 3:0:0:0: [sdb] Write Protect is off
[   26.596180] sd 3:0:0:0: [sdb] Mode Sense: 27 00 00 00
[   26.596183] sd 3:0:0:0: [sdb] Assuming drive cache: write through
[   26.598262] sd 3:0:0:0: [sdb] Assuming drive cache: write through
[   26.598670]  sdb: sdb1 sdb2 sdb3 sdb4 < sdb5 sdb6 sdb7 >
[   26.650741] sd 3:0:0:0: [sdb] Attached SCSI disk
[   36.828044] usbcore: deregistering interface driver usbhid
[   36.828675] usbcore: deregistering interface driver hiddev
[   36.912658] usbcore: registered new interface driver hiddev
[   38.026250] generic-usb 0003:051D:0002.0004: hiddev96,hidraw0: USB HID
v1.10 Device [American Power Conversi$
[   38.039373] input: A4Tech USB Optical Mouse as
/devices/pci0000:00/0000:00:10.1/usb3/3-1/3-1:1.0/input/input7
[   38.039481] a4tech 0003:09DA:0006.0005: input,hidraw1: USB HID v1.10
Mouse [A4Tech USB Optical Mouse] on usb$
[   38.052416] input: A4Tech USB Optical Mouse as
/devices/pci0000:00/0000:00:10.1/usb3/3-2/3-2:1.0/input/input8
[   38.039481] a4tech 0003:09DA:0006.0005: input,hidraw1: USB HID v1.10
Mouse [A4Tech USB Optical Mouse] on usb$
[   38.052416] input: A4Tech USB Optical Mouse as
/devices/pci0000:00/0000:00:10.1/usb3/3-2/3-2:1.0/input/input8
[   38.052529] a4tech 0003:09DA:0006.0006: input,hidraw2: USB HID v1.10
Mouse [A4Tech USB Optical Mouse] on usb$
[   38.052556] usbcore: registered new interface driver usbhid
[   38.052560] usbhid: v2.6:USB HID core driver
[   41.123121] lp0: using parport0 (interrupt-driven).
[   41.148601] ppdev: user-space parallel port driver
[   47.508932] sd 3:0:0:0: [sdb] Sense Key : Recovered Error [current]
[descriptor]
[   47.508942] Descriptor sense data with sense descriptors (in hex):
[   47.508945]         72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00
[   47.508954]         00 4f 00 c2 e0 50
[   47.508959] sd 3:0:0:0: [sdb] Add. Sense: ATA pass through information
available
[   47.550563] sd 3:0:0:0: [sdb] Sense Key : Recovered Error [current]
[descriptor]
[   47.550572] Descriptor sense data with sense descriptors (in hex):
[   47.550575]         72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00
[   47.550584]         00 4f 00 c2 e0 50
[   47.550589] sd 3:0:0:0: [sdb] Add. Sense: ATA pass through information
available
[   67.018138] sd 3:0:0:0: [sdb] Sense Key : Recovered Error [current]
[descriptor]
[   67.018147] Descriptor sense data with sense descriptors (in hex):
[   67.018149]         72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00
[   67.018159]         00 4f 00 c2 e0 50
[   67.018164] sd 3:0:0:0: [sdb] Add. Sense: ATA pass through information
available
[   67.059746] sd 3:0:0:0: [sdb] Sense Key : Recovered Error [current]
[descriptor]
[   67.059753] Descriptor sense data with sense descriptors (in hex):
[   67.059755]         72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00
[   67.059764]         00 4f 00 c2 e0 50
[   67.059769] sd 3:0:0:0: [sdb] Add. Sense: ATA pass through information
available
[  178.403007] sd 3:0:0:0: [sdb] Sense Key : Recovered Error [current]
[descriptor]
[  178.403016] Descriptor sense data with sense descriptors (in hex):
[  178.403019]         72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00
[  178.403029]         00 4f 00 c2 e0 50
[  178.403034] sd 3:0:0:0: [sdb] Add. Sense: ATA pass through information
available
[  178.444621] sd 3:0:0:0: [sdb] Sense Key : Recovered Error [current]
[descriptor]
[  178.444628] Descriptor sense data with sense descriptors (in hex):
[  178.444630]         72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00
[  178.444640]         00 4f 00 c2 e0 50
[  178.444630]         72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00
[  178.444640]         00 4f 00 c2 e0 50
[  178.444645] sd 3:0:0:0: [sdb] Add. Sense: ATA pass through information
available
[  250.523114] PPP generic driver version 2.4.2
[  282.713030] PPP BSD Compression module registered
[  282.802732] PPP Deflate Compression module registered
[  367.720433] sd 3:0:0:0: [sdb] Sense Key : Recovered Error [current]
[descriptor]
[  367.720442] Descriptor sense data with sense descriptors (in hex):
[  367.720445]         72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00
[  367.720454]         00 4f 00 c2 e0 50
[  367.720459] sd 3:0:0:0: [sdb] Add. Sense: ATA pass through information
available
[  367.762025] sd 3:0:0:0: [sdb] Sense Key : Recovered Error [current]
[descriptor]
[  367.762031] Descriptor sense data with sense descriptors (in hex):
[  367.762034]         72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00
[  367.762043]         00 4f 00 c2 e0 50
[  367.762048] sd 3:0:0:0: [sdb] Add. Sense: ATA pass through information
available
[  669.047484] sd 3:0:0:0: [sdb] Sense Key : Recovered Error [current]
[descriptor]
[  669.047491] Descriptor sense data with sense descriptors (in hex):
[  669.047494]         72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00
[  669.047504]         00 4f 00 c2 e0 50
[  669.047509] sd 3:0:0:0: [sdb] Add. Sense: ATA pass through information
available
[  669.089102] sd 3:0:0:0: [sdb] Sense Key : Recovered Error [current]
[descriptor]
[  669.089110] Descriptor sense data with sense descriptors (in hex):
[  669.089113]         72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00
[  669.089122]         00 4f 00 c2 e0 50
[  669.089128] sd 3:0:0:0: [sdb] Add. Sense: ATA pass through information
available

** Loaded modules:
Module                  Size  Used by
ppp_deflate             3944  1
zlib_deflate           17588  1 ppp_deflate
bsd_comp                4908  0
ppp_async               7524  1
crc_ccitt               1816  1 ppp_async
ppp_generic            21476  7 ppp_deflate,bsd_comp,ppp_async
slhc                    4964  1 ppp_generic
ppp_generic            21476  7 ppp_deflate,bsd_comp,ppp_async
slhc                    4964  1 ppp_generic
ipt_ULOG                6684  1
ppdev                   6368  0
lp                      8012  2
usbhid                 31544  1
evdev                   8028  2
ip_tables              10188  0
x_tables               14108  2 ipt_ULOG,ip_tables
loop                   13316  0
w83627hf               21132  0
hwmon_vid               2488  1 w83627hf
eeprom                  4964  0
sg                     20296  0
snd_via82xx            20692  1
gameport               10248  1 snd_via82xx
snd_mpu401_uart         6124  1 snd_via82xx
pcspkr                  2104  0
i2c_viapro              6624  0
i2c_core               20840  2 eeprom,i2c_viapro
ums_cypress             2888  0
hid_a4tech              2320  0
snd_ca0106             28696  0
snd_ac97_codec         91272  2 snd_via82xx,snd_ca0106
ac97_bus                1456  1 snd_ac97_codec
snd_pcm_oss            32232  0
snd_mixer_oss          12368  2 snd_pcm_oss
snd_pcm                62364  4
snd_via82xx,snd_ca0106,snd_ac97_codec,snd_pcm_oss
snd_seq_midi            5688  0
snd_rawmidi            18580  3 snd_mpu401_uart,snd_ca0106,snd_seq_midi
snd_seq_midi_event      6212  1 snd_seq_midi
snd_seq                42436  2 snd_seq_midi,snd_seq_midi_event
parport_pc             22360  1
parport                31152  3 ppdev,lp,parport_pc
snd_timer              17436  2 snd_pcm,snd_seq
snd_seq_device          6136  3 snd_seq_midi,snd_rawmidi,snd_seq
snd_timer              17436  2 snd_pcm,snd_seq
snd_seq_device          6136  3 snd_seq_midi,snd_rawmidi,snd_seq
processor              34476  0
button                  5060  0
snd                    49040  11
snd_via82xx,snd_mpu401_uart,snd_ca0106,snd_ac97_codec,snd_pcm_oss,snd_mixer_os$
soundcore               6184  2 snd
shpchp                 26648  0
snd_page_alloc          8180  3 snd_via82xx,snd_ca0106,snd_pcm
pci_hotplug            24400  1 shpchp
via_agp                 7564  1
agpgart                30788  1 via_agp
ext2                   53996  3
mbcache                 6924  1 ext2
sd_mod                 28748  0
crc_t10dif              1632  1 sd_mod
usb_storage            48472  1 ums_cypress
hid                    34516  2 usbhid,hid_a4tech
ide_cd_mod             24476  0
cdrom                  30324  1 ide_cd_mod
ide_gd_mod             19852  6
sata_via                8384  0
ata_generic             4340  0
libata                150624  2 sata_via,ata_generic
ehci_hcd               29660  0
uhci_hcd               19140  0
via82cxxx               6044  4
scsi_mod              131604  5 sg,ums_cypress,sd_mod,usb_storage,libata
ide_pci_generic         3632  0
via_rhine              18644  0
mii                     4664  1 via_rhine
ide_core               88100  4
ide_cd_mod,ide_gd_mod,via82cxxx,ide_pci_generic
usbcore               125872  7
usbhid,ums_cypress,usb_storage,ehci_hcd,uhci_hcd
floppy                 46212  0
thermal                12572  0
fan                     4040  0
thermal_sys            13128  3 processor,thermal,fan
fan                     4040  0
thermal_sys            13128  3 processor,thermal,fan

** PCI devices:
00:00.0 Host bridge [0600]: VIA Technologies, Inc. KT880 Host Bridge
[1106:0269]
        Subsystem: VIA Technologies, Inc. KT880 Host Bridge [1106:0269]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort+ >SERR- <PERR- INTx-
        Latency: 8
        Region 0: Memory at e0000000 (32-bit, prefetchable) [size=128M]
        Capabilities: <access denied>
        Kernel driver in use: agpgart-via
        Kernel modules: via-agp

00:00.1 Host bridge [0600]: VIA Technologies, Inc. KT880 Host Bridge
[1106:1269]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0

00:00.2 Host bridge [0600]: VIA Technologies, Inc. KT880 Host Bridge
[1106:2269]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0

00:00.3 Host bridge [0600]: VIA Technologies, Inc. KT880 Host Bridge
[1106:3269]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0

00:00.4 Host bridge [0600]: VIA Technologies, Inc. KT880 Host Bridge
[1106:4269]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0

00:00.7 Host bridge [0600]: VIA Technologies, Inc. KT880 Host Bridge
[1106:7269]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
00:00.7 Host bridge [0600]: VIA Technologies, Inc. KT880 Host Bridge
[1106:7269]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0

00:01.0 PCI bridge [0604]: VIA Technologies, Inc. VT8237/VX700 PCI Bridge
[1106:b198] (prog-if 00 [Normal decod$
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        Memory behind bridge: e9000000-ebffffff
        Prefetchable memory behind bridge: c0000000-cfffffff
        Secondary status: 66MHz+ FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
                PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
        Capabilities: <access denied>
        Kernel modules: shpchp

00:08.0 VGA compatible controller [0300]: nVidia Corporation NV44A [GeForce
6200] [10de:0221] (rev a1) (prog-if$
        Subsystem: eVga.com. Corp. Device [3842:b399]
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at e8000000 (32-bit, non-prefetchable) [disabled]
[size=16M]
        Region 1: Memory at d0000000 (32-bit, prefetchable) [disabled]
[size=256M]
        Region 2: Memory at ec000000 (32-bit, non-prefetchable) [disabled]
[size=16M]
        [virtual] Expansion ROM at 50000000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel modules: nvidiafb

00:0a.0 Multimedia audio controller [0401]: Creative Labs SB Audigy LS
[1102:0007]
        Subsystem: Creative Labs SB0410 SBLive! 24-bit [1102:1006]
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 32 (500ns min, 5000ns max)
        Interrupt: pin A routed to IRQ 3
        Latency: 32 (500ns min, 5000ns max)
        Interrupt: pin A routed to IRQ 3
        Region 0: I/O ports at e000 [size=32]
        Capabilities: <access denied>
        Kernel driver in use: CA0106
        Kernel modules: snd-ca0106

00:0f.0 IDE interface [0101]: VIA Technologies, Inc. VIA VT6420 SATA RAID
Controller [1106:3149] (rev 80) (prog$
        Subsystem: EPoX Computer Co., Ltd. Device [1695:300c]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 32
        Interrupt: pin B routed to IRQ 10
        Region 0: I/O ports at e100 [size=8]
        Region 1: I/O ports at e200 [size=4]
        Region 2: I/O ports at e300 [size=8]
        Region 3: I/O ports at e400 [size=4]
        Region 4: I/O ports at e500 [size=16]
        Region 5: I/O ports at e600 [size=256]
        Capabilities: <access denied>
        Kernel driver in use: sata_via
        Kernel modules: sata_via

00:0f.1 IDE interface [0101]: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE [1$
        Subsystem: VIA Technologies, Inc.
VT82C586/B/VT82C686/A/B/VT8233/A/C/VT8235 PIPC Bus Master IDE [1106:0$
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 32
        Interrupt: pin A routed to IRQ 10
        Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable)
[size=8]
        Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable)
[size=1]
        Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable)
[size=8]
        Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable)
[size=1]
        Region 4: I/O ports at e700 [size=16]
        Capabilities: <access denied>
        Kernel driver in use: VIA_IDE
        Capabilities: <access denied>
        Kernel driver in use: VIA_IDE
        Kernel modules: via82cxxx

00:10.0 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller [1106:3038] (rev 81) (p$
        Subsystem: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
[1106:3038]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 32, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 10
        Region 4: I/O ports at e800 [size=32]
        Capabilities: <access denied>
        Kernel driver in use: uhci_hcd
        Kernel modules: uhci-hcd

00:10.1 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller [1106:3038] (rev 81) (p$
        Subsystem: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
[1106:3038]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 32, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 10
        Region 4: I/O ports at e900 [size=32]
        Capabilities: <access denied>
        Kernel driver in use: uhci_hcd
        Kernel modules: uhci-hcd

00:10.2 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller [1106:3038] (rev 81) (p$
        Subsystem: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
[1106:3038]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 32, Cache Line Size: 32 bytes
        Interrupt: pin B routed to IRQ 11
        Region 4: I/O ports at ea00 [size=32]
        Capabilities: <access denied>
        Kernel driver in use: uhci_hcd
        Kernel modules: uhci-hcd
        Kernel driver in use: uhci_hcd
        Kernel modules: uhci-hcd

00:10.3 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller [1106:3038] (rev 81) (p$
        Subsystem: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
[1106:3038]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 32, Cache Line Size: 32 bytes
        Interrupt: pin B routed to IRQ 11
        Region 4: I/O ports at eb00 [size=32]
        Capabilities: <access denied>
        Kernel driver in use: uhci_hcd
        Kernel modules: uhci-hcd

00:10.4 USB Controller [0c03]: VIA Technologies, Inc. USB 2.0 [1106:3104]
(rev 86) (prog-if 20 [EHCI])
        Subsystem: VIA Technologies, Inc. USB 2.0 [1106:3104]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 32, Cache Line Size: 64 bytes
        Interrupt: pin C routed to IRQ 11
        Region 0: Memory at ed021000 (32-bit, non-prefetchable) [size=256]
        Capabilities: <access denied>
        Kernel driver in use: ehci_hcd
        Kernel modules: ehci-hcd

00:11.0 ISA bridge [0601]: VIA Technologies, Inc. VT8237 ISA bridge
[KT600/K8T800/K8T890 South] [1106:3227]
        Subsystem: EPoX Computer Co., Ltd. Device [1695:300c]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping+ SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Capabilities: <access denied>
        Kernel modules: i2c-viapro

00:11.5 Multimedia audio controller [0401]: VIA Technologies, Inc.
VT8233/A/8235/8237 AC97 Audio Controller [11$
        Subsystem: EPoX Computer Co., Ltd. EP-8KRA2+ Mainboard [1695:300c]
        Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Subsystem: EPoX Computer Co., Ltd. EP-8KRA2+ Mainboard [1695:300c]
        Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Interrupt: pin C routed to IRQ 11
        Region 0: I/O ports at ec00 [size=256]
        Capabilities: <access denied>
        Kernel driver in use: VIA 82xx Audio
        Kernel modules: snd-via82xx

00:12.0 Ethernet controller [0200]: VIA Technologies, Inc. VT6102 [Rhine-II]
[1106:3065] (rev 78)
        Subsystem: EPoX Computer Co., Ltd. VT6103 [1695:3005]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 32 (750ns min, 2000ns max), Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 10
        Region 0: I/O ports at ed00 [size=256]
        Region 1: Memory at ed020000 (32-bit, non-prefetchable) [size=256]
        Capabilities: <access denied>
        Kernel driver in use: via-rhine
        Kernel modules: via-rhine

01:00.0 VGA compatible controller [0300]: nVidia Corporation NV44A [GeForce
6200] [10de:0221] (rev a1) (prog-if$
        Subsystem: Device [196e:02f1]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 32 (1250ns min, 250ns max)
        Interrupt: pin A routed to IRQ 10
        Region 0: Memory at e9000000 (32-bit, non-prefetchable) [size=16M]
        Region 1: Memory at c0000000 (32-bit, prefetchable) [size=256M]
        Region 2: Memory at ea000000 (32-bit, non-prefetchable) [size=16M]
        [virtual] Expansion ROM at eb000000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel modules: nvidiafb


-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.ISO-8859-15, LC_CTYPE=en_US.ISO-8859-15
(charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.30-1-686 depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management
sy
ii  initramfs-tools [linux-initra 0.92o      tools for generating an
initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel
mo

Versions of packages linux-image-2.6.30-1-686 recommends:
ii  libc6-i686                    2.7-18     GNU C Library: Shared libraries
[i

Versions of packages linux-image-2.6.30-1-686 suggests:
ii  grub                       0.97-47lenny2 GRand Unified Bootloader
(Legacy v
pn  linux-doc-2.6.30           <none>        (no description available)

-- debconf information:
  linux-image-2.6.30-1-686/preinst/lilo-has-ramdisk:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.30-1-686/postinst/old-initrd-link-2.6.30-1-686: true
  linux-image-2.6.30-1-686/postinst/create-kimage-link-2.6.30-1-686: true
  linux-image-2.6.30-1-686/postinst/depmod-error-2.6.30-1-686: false
  linux-image-2.6.30-1-686/postinst/old-system-map-link-2.6.30-1-686: true
  linux-image-2.6.30-1-686/prerm/would-invalidate-boot-loader-2.6.30-1-686:
true
  linux-image-2.6.30-1-686/preinst/overwriting-modules-2.6.30-1-686: true
  linux-image-2.6.30-1-686/preinst/lilo-initrd-2.6.30-1-686: true
  linux-image-2.6.30-1-686/postinst/old-dir-initrd-link-2.6.30-1-686: true
  linux-image-2.6.30-1-686/preinst/failed-to-move-modules-2.6.30-1-686:
  linux-image-2.6.30-1-686/postinst/old-dir-initrd-link-2.6.30-1-686: true
  linux-image-2.6.30-1-686/preinst/failed-to-move-modules-2.6.30-1-686:
  linux-image-2.6.30-1-686/postinst/bootloader-test-error-2.6.30-1-686:
  linux-image-2.6.30-1-686/preinst/abort-install-2.6.30-1-686:
  linux-image-2.6.30-1-686/postinst/bootloader-error-2.6.30-1-686:
  linux-image-2.6.30-1-686/preinst/initrd-2.6.30-1-686:
  linux-image-2.6.30-1-686/prerm/removing-running-kernel-2.6.30-1-686: true
  linux-image-2.6.30-1-686/postinst/kimage-is-a-directory:
  linux-image-2.6.30-1-686/preinst/abort-overwrite-2.6.30-1-686:
  linux-image-2.6.30-1-686/preinst/elilo-initrd-2.6.30-1-686: true
  linux-image-2.6.30-1-686/preinst/bootloader-initrd-2.6.30-1-686: true
  linux-image-2.6.30-1-686/postinst/depmod-error-initrd-2.6.30-1-686: false
[Message part 2 (text/html, inline)]

Bug reassigned from package 'linux-image-2.6.30-1-686' to 'linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Mon, 12 Oct 2009 15:36:15 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-2.6/2.6.30-1. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Mon, 12 Oct 2009 15:36:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534324; Package linux-2.6. (Wed, 30 Dec 2009 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to hugo vanwoerkom <huugske@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 30 Dec 2009 15:27:03 GMT) Full text and rfc822 format available.

Message #14 received at 534324@bugs.debian.org (full text, mbox):

From: hugo vanwoerkom <huugske@gmail.com>
To: 534324@bugs.debian.org
Subject: linux-image-2.6.30-1-686: USB disk fails to show up at initramfs
Date: Wed, 30 Dec 2009 09:26:31 -0600
[Message part 1 (text/plain, inline)]
This is still true with 2.6.32-trunk-686:

using rootdelay eventually fails after a wait of 180secs because the root
which resides on a USB disk is never found.

This makes Debian kernels for my system unusable.

The odd thing is that it does *NOT* happen with my own kernel, using the
latest stable release
http://www.kernel.org/pub/linux/kernel/v2.6/linux-2.6.32.2.tar.bz2
and I include the .config herewith.

Hugo Vanwoerkom
[Message part 2 (text/html, inline)]
[.config (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534324; Package linux-2.6. (Wed, 30 Dec 2009 15:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to hugo vanwoerkom <huugske@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 30 Dec 2009 15:57:06 GMT) Full text and rfc822 format available.

Message #19 received at 534324@bugs.debian.org (full text, mbox):

From: hugo vanwoerkom <huugske@gmail.com>
To: 534324@bugs.debian.org
Subject: linux-image-2.6.30-1-686: USB disk fails to show up at initramfs
Date: Wed, 30 Dec 2009 09:54:00 -0600
[Message part 1 (text/plain, inline)]
I include the dmesg from the initramfs shell of 2.6.32-trunk-686,named
initramfs.deb.dmesg, and the one from my own kernel named initramfs.dmesg
from kernel 2.6.32.2-hvw.

I also include the /proc/modules from the initramfs shell of the 2 different
kernels, named initramfs.deb.mods and initramfs.mods.

Hugo Vanwoerkom
[Message part 2 (text/html, inline)]
[initramfs.deb.dmesg (application/octet-stream, attachment)]
[initramfs.dmesg (application/octet-stream, attachment)]
[initramfs.deb.mods (application/octet-stream, attachment)]
[initramfs.mods (application/octet-stream, attachment)]

Bug Marked as found in versions 2.6.30-1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 10 Jan 2010 20:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534324; Package linux-2.6. (Sun, 10 Jan 2010 22:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 10 Jan 2010 22:12:06 GMT) Full text and rfc822 format available.

Message #26 received at 534324@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: hugo vanwoerkom <huugske@gmail.com>
Cc: 534324@bugs.debian.org
Subject: Re: Bug#534324: linux-image-2.6.30-1-686: USB disk fails to show up at initramfs
Date: Sun, 10 Jan 2010 22:09:03 +0000
[Message part 1 (text/plain, inline)]
Good log:
[    1.401460] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.401462] Warning! ehci_hcd should always be loaded before uhci_hcd and ohci_hcd, not after
...
[    2.835643] usb 1-2.4: new full speed USB device using uhci_hcd and address 4
[    2.938835] usb 1-2.4: configuration #1 chosen from 1 choice
[    2.954087] Initializing USB Mass Storage driver...
[    2.954234] scsi0 : SCSI emulation for USB Mass Storage devices
[    2.954406] usbcore: registered new interface driver usb-storage
[    2.954410] USB Mass Storage support registered.
[    2.954822] usb-storage: device found at 4
[    2.954824] usb-storage: waiting for device to settle before scanning
[    3.008640] usb 1-2.7: new full speed USB device using uhci_hcd and address 5
...
[    3.122843] usb 1-2.7: configuration #1 chosen from 1 choice
...
[    3.134049] scsi1 : SCSI emulation for USB Mass Storage devices
[    3.136678] usb-storage: device found at 5
[    3.136681] usb-storage: waiting for device to settle before scanning
...
[    6.736725] usb 5-2.4: new high speed USB device using ehci_hcd and address 6
[    6.824221] usb 5-2.4: configuration #1 chosen from 1 choice
[    6.825452] scsi4 : SCSI emulation for USB Mass Storage devices
[    6.826671] usb-storage: device found at 6
[    6.826675] usb-storage: waiting for device to settle before scanning
[    6.888622] usb 5-2.7: new high speed USB device using ehci_hcd and address 7
[    6.966814] usb 5-2.7: configuration #1 chosen from 1 choice
[    6.971604] scsi5 : SCSI emulation for USB Mass Storage devices
[    6.972162] usb-storage: device found at 7
[    6.972165] usb-storage: waiting for device to settle before scanning

This is actually kind of broken in that the devices are enumerated
twice: first through the OHCI, then through the EHCI.  Still, the
usb-storage driver binds to them both.

Bad log:
[    4.172086] usb 5-2.4: new high speed USB device using ehci_hcd and address 6
...
[    4.266207] usb 5-2.4: New USB device found, idVendor=04b4, idProduct=6830
[    4.266211] usb 5-2.4: New USB device strings: Mfr=0, Product=80, SerialNumber=63
[    4.266214] usb 5-2.4: Product: Cypress AT2LP RC42
[    4.266217] usb 5-2.4: SerialNumber: 5000000000006779
[    4.266320] usb 5-2.4: configuration #1 chosen from 1 choice
...
[    4.298711] Initializing USB Mass Storage driver...
[    4.298802] usbcore: registered new interface driver usb-storage
[    4.298905] USB Mass Storage support registered.
...
[    4.435101] usb 5-2.7: New USB device found, idVendor=0928, idProduct=0002
[    4.435107] usb 5-2.7: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[    4.435110] usb 5-2.7: Product: OXSEMI Mass Storage
[    4.435113] usb 5-2.7: Manufacturer: Oxford Semiconductor Ltd.
[    4.435116] usb 5-2.7: SerialNumber: 5BCDEF0000000061
[    4.435218] usb 5-2.7: configuration #1 chosen from 1 choice
[    4.444062] scsi2 : SCSI emulation for USB Mass Storage devices
[    4.444382] usb-storage: device found at 7
[    4.444385] usb-storage: waiting for device to settle before scanning

Here the USB mass storage driver is loaded as expected but for some
reason it doesn't bind to the storage device that was already found;
only to the next device found.

The working config has:
# CONFIG_USB_STORAGE_CYPRESS_ATACB is not set

whereas our config has:
CONFIG_USB_STORAGE_CYPRESS_ATACB=m

Maybe the main usb-storage driver is ignoring this device because it
should be handled by the ums-cypress sub-driver, but that is missing
from the initramfs.

Can you try this:
1. Add 'ums-cypress' to /etc/modules
2. Run 'update-initramfs -u 2.6.30-1-686' (or any kernel version that
shows this problem)
3. Reboot into that kernel
?

Ben.

-- 
Ben Hutchings
The generation of random numbers is too important to be left to chance.
                                                            - Robert Coveyou
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 10 Jan 2010 22:12:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534324; Package linux-2.6. (Thu, 14 Jan 2010 20:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 14 Jan 2010 20:24:07 GMT) Full text and rfc822 format available.

Message #33 received at 534324@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 534324@bugs.debian.org
Subject: Re: Bug#534324: linux-image-2.6.30-1-686: USB disk fails to show up at initramfs
Date: Thu, 14 Jan 2010 20:22:10 +0000
[Message part 1 (text/plain, inline)]
-------- Forwarded Message --------
From: hugo vanwoerkom <huugske@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#534324: linux-image-2.6.30-1-686: USB disk fails to show up at initramfs
Date: Wed, 13 Jan 2010 12:30:35 -0600

On Tue, Jan 12, 2010 at 12:40 PM, hugo vanwoerkom <huugske@gmail.com> wrote:
        
         
                Here the USB mass storage driver is loaded as expected but for some
                reason it doesn't bind to the storage device that was already found;
                only to the next device found.
                
                The working config has:
                # CONFIG_USB_STORAGE_CYPRESS_ATACB is not set
                
                whereas our config has:
                CONFIG_USB_STORAGE_CYPRESS_ATACB=m
                
                Maybe the main usb-storage driver is ignoring this device because it
                should be handled by the ums-cypress sub-driver, but that is missing
                from the initramfs.
                
                Can you try this:
                1. Add 'ums-cypress' to /etc/modules
                2. Run 'update-initramfs -u 2.6.30-1-686' (or any kernel version that
                shows this problem)
                3. Reboot into that kernel
                ?
                
        
        

Hi Ben,

added 'ums-cypress' to /etc/modules
ran 'update-initramfs -u -k 2.6.32-trunk-686'
rebooted into that kernel
problem persists
I don't know how to check whether initrd.img-2.6.32-trunk-686 is actually different.
I used cmdline with 'debug break=bottom' to drop into the initramfs shell at boot and did 'cat /proc/modules' and 'dmesg' (both attached). 
Too bad it didn't work.

Hugo

[initramfs.22.deb.mods (application/octet-stream, attachment)]
[initramfs.22.dmesg (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534324; Package linux-2.6. (Thu, 14 Jan 2010 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 14 Jan 2010 20:33:03 GMT) Full text and rfc822 format available.

Message #38 received at 534324@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 534324-submitter@bugs.debian.org, 534324@bugs.debian.org
Subject: Re: Bug#534324: linux-image-2.6.30-1-686: USB disk fails to show up at initramfs
Date: Thu, 14 Jan 2010 20:25:54 +0000
[Message part 1 (text/plain, inline)]
On Wed, 2010-01-13 at 12:30 -0600, hugo vanwoerkom wrote:

> Hi Ben,
> 
>      1. added 'ums-cypress' to /etc/modules
>      2. ran 'update-initramfs -u -k 2.6.32-trunk-686'
>      3. rebooted into that kernel
>      4. problem persists
> I don't know how to check whether initrd.img-2.6.32-trunk-686 is
> actually different.
> I used cmdline with 'debug break=bottom' to drop into the initramfs
> shell at boot and did 'cat /proc/modules' and 'dmesg' (both
> attached). 
> Too bad it didn't work.

ums-cypress isn't listed in the loaded modules.  Is it possible that you
misspelt it in /etc/modules?

Are you using LILO?  If so then you may need to run 'lilo' after running
update-initramfs (though I think it does so itself).

Ben.

-- 
Ben Hutchings
The generation of random numbers is too important to be left to chance.
                                                            - Robert Coveyou
[signature.asc (application/pgp-signature, inline)]

Message sent on to hugo vanwoerkom <huugske@gmail.com>:
Bug#534324. (Thu, 14 Jan 2010 20:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534324; Package linux-2.6. (Thu, 14 Jan 2010 21:24:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 14 Jan 2010 21:24:18 GMT) Full text and rfc822 format available.

Message #46 received at 534324@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 534324-submitter@bugs.debian.org
Cc: 534324@bugs.debian.org
Subject: Re: Bug#534324: linux-image-2.6.30-1-686: USB disk fails to show up at initramfs
Date: Thu, 14 Jan 2010 21:18:02 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2010-01-14 at 20:25 +0000, Ben Hutchings wrote:
> On Wed, 2010-01-13 at 12:30 -0600, hugo vanwoerkom wrote:
> 
> > Hi Ben,
> > 
> >      1. added 'ums-cypress' to /etc/modules
> >      2. ran 'update-initramfs -u -k 2.6.32-trunk-686'
> >      3. rebooted into that kernel
> >      4. problem persists
> > I don't know how to check whether initrd.img-2.6.32-trunk-686 is
> > actually different.
> > I used cmdline with 'debug break=bottom' to drop into the initramfs
> > shell at boot and did 'cat /proc/modules' and 'dmesg' (both
> > attached). 
> > Too bad it didn't work.
> 
> ums-cypress isn't listed in the loaded modules.  Is it possible that you
> misspelt it in /etc/modules?

Sorry, the file you need to edit is /etc/initramfs-tools/modules
not /etc/modules.

Ben.

-- 
Ben Hutchings
The generation of random numbers is too important to be left to chance.
                                                            - Robert Coveyou
[signature.asc (application/pgp-signature, inline)]

Message sent on to hugo vanwoerkom <huugske@gmail.com>:
Bug#534324. (Thu, 14 Jan 2010 21:24:31 GMT) Full text and rfc822 format available.

Information stored :
Bug#534324; Package linux-2.6. (Fri, 15 Jan 2010 18:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to hugo vanwoerkom <huugske@gmail.com>:
Extra info received and filed, but not forwarded. (Fri, 15 Jan 2010 18:48:07 GMT) Full text and rfc822 format available.

Message #54 received at 534324-quiet@bugs.debian.org (full text, mbox):

From: hugo vanwoerkom <huugske@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>, 534324-quiet@bugs.debian.org
Subject: Re: Bug#534324: linux-image-2.6.30-1-686: USB disk fails to show up at initramfs
Date: Fri, 15 Jan 2010 12:44:24 -0600
[Message part 1 (text/plain, inline)]
On Thu, Jan 14, 2010 at 3:18 PM, Ben Hutchings <ben@decadent.org.uk> wrote:

> On Thu, 2010-01-14 at 20:25 +0000, Ben Hutchings wrote:
> > On Wed, 2010-01-13 at 12:30 -0600, hugo vanwoerkom wrote:
> >
> > > Hi Ben,
> > >
> > >      1. added 'ums-cypress' to /etc/modules
> > >      2. ran 'update-initramfs -u -k 2.6.32-trunk-686'
> > >      3. rebooted into that kernel
> > >      4. problem persists
> > > I don't know how to check whether initrd.img-2.6.32-trunk-686 is
> > > actually different.
> > > I used cmdline with 'debug break=bottom' to drop into the initramfs
> > > shell at boot and did 'cat /proc/modules' and 'dmesg' (both
> > > attached).
> > > Too bad it didn't work.
> >
> > ums-cypress isn't listed in the loaded modules.  Is it possible that you
> > misspelt it in /etc/modules?
>
> Sorry, the file you need to edit is /etc/initramfs-tools/modules
> not /etc/modules.
>
> Ben.
>
>
Ben that did it! Solved the problem...
ums-cypress is loaded (attachment1) and the 2 USB disks show up (attachment
2). Direct-Access     ST380211 0A was the one that refused to show up.
Although the logic of the solution defies me somewhat. I would have thought
the problem should have occurred in my homegrown kernel for not using
ums-cypress as a module.
Thanks a lot again.

Hugo



-- 
zwei Seelen, eine Gedanke
[Message part 2 (text/html, inline)]
[initramfs.33.mods (application/octet-stream, attachment)]
[initramfs.33.dmesg (application/octet-stream, attachment)]

Bug reassigned from package 'linux-2.6' to 'initramfs-tools'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 17 Jan 2010 22:24:02 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6.30-1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 17 Jan 2010 22:24:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions initramfs-tools/0.92o. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 17 Jan 2010 22:24:03 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 17 Jan 2010 22:24:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'MODULES=most does not include unusual USB storage drivers' from 'linux-image-2.6.30-1-686: USB disk fails to show up at initramfs' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 17 Jan 2010 22:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#534324; Package initramfs-tools. (Fri, 19 Feb 2010 15:36:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Fri, 19 Feb 2010 15:36:17 GMT) Full text and rfc822 format available.

Message #69 received at 534324@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: hugo vanwoerkom <huugske@gmail.com>, 534324@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>, Vincent Rubiolo <vincent.rubiolo@free.fr>
Subject: Re: Bug#534324: linux-image-2.6.30-1-686: USB disk fails to show up at initramfs
Date: Fri, 19 Feb 2010 15:35:17 +0000
Vincent Rubiolo just reported the same issue to me in private mail and
found this bug report.  The problem is that ums-cypress is not
included in the initramfs; however, when the
CONFIG_USB_STORAGE_CYPRESS_ATACB is enabled, usb-storage itself will
not claim those devices; see
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/419231/comments/13

Ubuntu solved this problem by including all usb-storage modules:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/419231/comments/19

maks, what's the status of this bug in Debian?
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#534324; Package initramfs-tools. (Mon, 22 Feb 2010 21:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Mon, 22 Feb 2010 21:36:06 GMT) Full text and rfc822 format available.

Message #74 received at 534324@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Martin Michlmayr <tbm@cyrius.com>, 534324@bugs.debian.org
Cc: hugo vanwoerkom <huugske@gmail.com>, Ben Hutchings <ben@decadent.org.uk>, Vincent Rubiolo <vincent.rubiolo@free.fr>
Subject: Re: Bug#534324: linux-image-2.6.30-1-686: USB disk fails to show up at initramfs
Date: Mon, 22 Feb 2010 22:31:39 +0100
On Fri, 19 Feb 2010, Martin Michlmayr wrote:

> Vincent Rubiolo just reported the same issue to me in private mail and
> found this bug report.  The problem is that ums-cypress is not
> included in the initramfs; however, when the
> CONFIG_USB_STORAGE_CYPRESS_ATACB is enabled, usb-storage itself will
> not claim those devices; see
> https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/419231/comments/13
> 
> Ubuntu solved this problem by including all usb-storage modules:
> https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/419231/comments/19
> 
> maks, what's the status of this bug in Debian?

thanks for reminder, added relevant patch to latest git.
indeed to add all relevant modules.

plan to upload soon (sometime in early march at latest)




Forcibly Merged 534324 543568. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Thu, 25 Mar 2010 00:42:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 16 Jun 2010 07:33:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:22:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.